---
title: "List my recently viewed pages, newest first"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › users

`GET /v2/users/me/recent-views`

## Query parameters

- `limit` (`recent-views-list-recent-views.query.limit`; integer, optional)
  - min 1; max 100; default `20`

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.sureshake.com/v2/users/me/recent-views
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/users/me/recent-views';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/users/me/recent-views"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "views": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "subjectType": "company",
        "subjectId": "string",
        "title": "string",
        "href": "string",
        "imageUrl": "string",
        "viewCount": 0,
        "lastViewedAt": "string"
      }
    ]
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`recent-views-list-recent-views.response.200.data`; object, required)
  - `views` (`recent-views-list-recent-views.response.200.data.views`; array<object>, required)
    - `id` (`recent-views-list-recent-views.response.200.data.views.id`; string, required)
      - format `uuid`
    - `subjectType` (`recent-views-list-recent-views.response.200.data.views.subjectType`; string, required)
      - one of `"company"`, `"person"`, `"publication"`
    - `subjectId` (`recent-views-list-recent-views.response.200.data.views.subjectId`; string, required)
    - `title` (`recent-views-list-recent-views.response.200.data.views.title`; string, required)
    - `href` (`recent-views-list-recent-views.response.200.data.views.href`; string, required)
    - `imageUrl` (`recent-views-list-recent-views.response.200.data.views.imageUrl`; string, required, nullable)
    - `viewCount` (`recent-views-list-recent-views.response.200.data.views.viewCount`; integer, required)
      - min 0
    - `lastViewedAt` (`recent-views-list-recent-views.response.200.data.views.lastViewedAt`; string, required)
- `meta` (`recent-views-list-recent-views.response.200.meta`; object, optional)
  - `timestamp` (`recent-views-list-recent-views.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`recent-views-list-recent-views.response.400.error`; object, required)
  - `code` (`recent-views-list-recent-views.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`recent-views-list-recent-views.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`recent-views-list-recent-views.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`recent-views-list-recent-views.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`recent-views-list-recent-views.response.401.error`; object, required)
  - `code` (`recent-views-list-recent-views.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`recent-views-list-recent-views.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`recent-views-list-recent-views.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`recent-views-list-recent-views.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`recent-views-list-recent-views.response.404.error`; object, required)
  - `code` (`recent-views-list-recent-views.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`recent-views-list-recent-views.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`recent-views-list-recent-views.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`recent-views-list-recent-views.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`recent-views-list-recent-views.response.500.error`; object, required)
  - `code` (`recent-views-list-recent-views.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`recent-views-list-recent-views.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`recent-views-list-recent-views.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`recent-views-list-recent-views.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/recent-views-list-recent-views/index.md
